<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It is a breeze. Simply tell Lumen the URIs it should respond to
| and give it the Closure to call when that URI is requested.
|
 */

$api->version('v1', function($api) {

    $api->group(['namespace'=>'App\Http\Controllers\V1','middleware' => ['api.auth','permissions'], 'providers' => 'jwt'], function($api) {

        //菜单相关
        $api->get('/adminapi/permission/menu/list', ['permission' => 'permission.menu.list', 'uses'=>'PermissionsController@getMenuList']);
        $api->post('/adminapi/permission/menu/edit', ['permission' => 'permission.menu.edit', 'uses'=>'PermissionsController@editMenus']);
        $api->post('/adminapi/permission/menu/sub_add', ['permission' => 'permission.menu.sub_add', 'uses'=>'PermissionsController@addSubMenus']);
        $api->post('/adminapi/permission/menu/del', ['permission' => 'permission.menu.del', 'uses'=>'PermissionsController@deleteMenus']);
        $api->get('/adminapi/permission/menu/all', ['permission' => 'permission.menu.all', 'uses'=>'PermissionsController@getAllMenuList']);

        //角色相关
        $api->get('/adminapi/permission/role/getAllByPage', ['permission' => 'permission.role.get_all_by_page', 'uses'=>'PermissionsController@getAllByPage']);
        $api->get('/adminapi/permission/role/getAllList', ['permission' => 'permission.role.get_all_list', 'uses'=>'PermissionsController@getAllList']);
        $api->post('/adminapi/permission/role/add', ['permission' => 'permission_role_add', 'uses'=>'PermissionsController@addRole']);
        $api->post('/adminapi/permission/role/edit', ['permission' => 'permission.role.edit', 'uses'=>'PermissionsController@editRole']);
        $api->post('/adminapi/permission/role/delByIds', ['permission' => 'permission.role.del_by_ids', 'uses'=>'PermissionsController@delByIds']);
        $api->post('/adminapi/permission/role/editRolePermission', ['permission' => 'permission.role.edit_role_permission', 'uses'=>'PermissionsController@editRolePermission']);

        $api->get('/adminapi/permission/dictData/defaultButtonPermission', ['permission' => 'permission.dict_data.default_button_permission', 'uses'=>'PermissionsController@getDefaultButtonPermission']);
    });

});

